GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Static Public Attributes | List of all members
eu.gls_group.fpcs.v1.tracking.TrackingService Class Reference
Inheritance diagram for eu.gls_group.fpcs.v1.tracking.TrackingService:

## Public Member Functions
| TrackingService (URL wsdlLocation)
| TrackingService (URL wsdlLocation, QName serviceName)
| TrackingService ()
| TrackingService (WebServiceFeature ... features)
| TrackingService (URL wsdlLocation, WebServiceFeature ... features)
| TrackingService (URL wsdlLocation, QName serviceName, WebServiceFeature ... features)
TrackingPortType | getTrackingPort ()
TrackingPortType | getTrackingPort (WebServiceFeature... features)

## Static Public Attributes
static final URL | WSDL_LOCATION
static final QName | SERVICE = new QName("http://fpcs.gls-group.eu/v1/Tracking", "TrackingService")
static final QName | TrackingPort = new QName("http://fpcs.gls-group.eu/v1/Tracking", "TrackingPort")

## Detailed Description

Tracking service A service for ... Version: 1.0 History: 1.0 [2014-06-10] initial release

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 21 of file TrackingService.java.

## Constructor & Destructor Documentation

## ◆ TrackingService() [1/6]

eu.gls_group.fpcs.v1.tracking.TrackingService.TrackingService | ( | URL | wsdlLocation | ) |

Definition at line 40 of file TrackingService.java.

## ◆ TrackingService() [2/6]

eu.gls_group.fpcs.v1.tracking.TrackingService.TrackingService | ( | URL | wsdlLocation,
|  | QName | serviceName
| ) |  |

Definition at line 44 of file TrackingService.java.

## ◆ TrackingService() [3/6]

eu.gls_group.fpcs.v1.tracking.TrackingService.TrackingService | ( |  | ) |

Definition at line 48 of file TrackingService.java.

## ◆ TrackingService() [4/6]

eu.gls_group.fpcs.v1.tracking.TrackingService.TrackingService | ( | WebServiceFeature ... | features | ) |

Definition at line 52 of file TrackingService.java.

## ◆ TrackingService() [5/6]

eu.gls_group.fpcs.v1.tracking.TrackingService.TrackingService | ( | URL | wsdlLocation,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 56 of file TrackingService.java.

## ◆ TrackingService() [6/6]

eu.gls_group.fpcs.v1.tracking.TrackingService.TrackingService | ( | URL | wsdlLocation,
|  | QName | serviceName,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 60 of file TrackingService.java.

## Member Function Documentation

## ◆ getTrackingPort() [1/2]

TrackingPortType eu.gls_group.fpcs.v1.tracking.TrackingService.getTrackingPort | ( |  | ) |

Returns
  returns TrackingPortType

Definition at line 73 of file TrackingService.java.

## ◆ getTrackingPort() [2/2]

TrackingPortType eu.gls_group.fpcs.v1.tracking.TrackingService.getTrackingPort | ( | WebServiceFeature... | features | ) |

Parameters

  features | A list of javax.xml.ws.WebServiceFeature to configure on the proxy. Supported features not in the `features` parameter will have their default values.

Returns
  returns TrackingPortType

Definition at line 85 of file TrackingService.java.

## Member Data Documentation

## ◆ SERVICE

final QName eu.gls_group.fpcs.v1.tracking.TrackingService.SERVICE = new QName("http://fpcs.gls-group.eu/v1/Tracking", "TrackingService")
| static

Definition at line 25 of file TrackingService.java.

## ◆ TrackingPort

final QName eu.gls_group.fpcs.v1.tracking.TrackingService.TrackingPort = new QName("http://fpcs.gls-group.eu/v1/Tracking", "TrackingPort")
| static

Definition at line 26 of file TrackingService.java.

## ◆ WSDL_LOCATION

final URL eu.gls_group.fpcs.v1.tracking.TrackingService.WSDL_LOCATION
| static

Definition at line 23 of file TrackingService.java.

The documentation for this class was generated from the following file:

- TrackingService.java